Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.ui
Class ContentBrowseActionCallback

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback
          org.teleal.cling.support.contentdirectory.callback.Browse
              org.teleal.cling.support.contentdirectory.ui.ContentBrowseActionCallback

All Implemented Interfaces:
  Runnable

    public abstract class ContentBrowseActionCallback

extends Browse

Updates a tree model after querying a backend ContentDirectory service.

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.contentdirectory.callback.Browse
`Browse.Status`

Nested classes/interfaces inherited from class org.teleal.cling.controlpoint.ActionCallback
`org.teleal.cling.controlpoint.ActionCallback.Default`

Field Summary
`protected DefaultTreeModel` | `treeModel`
`protected DefaultMutableTreeNode` | `treeNode`

Fields inherited from class org.teleal.cling.support.contentdirectory.callback.Browse
`CAPS_WILDCARD`

Fields inherited from class org.teleal.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`ContentBrowseActionCallback(org.teleal.cling.model.meta.Service service, DefaultTreeModel treeModel, DefaultMutableTreeNode treeNode)`
`ContentBrowseActionCallback(org.teleal.cling.model.meta.Service service, DefaultTreeModel treeModel, DefaultMutableTreeNode treeNode, String filter, long firstResult, long maxResults, SortCriterion... orderBy)`

Method Summary
`void` | `failure(org.teleal.cling.model.action.ActionInvocation invocation, org.teleal.cling.model.message.UpnpResponse operation, String defaultMsg)`
`abstract void` | `failureUI(String failureMessage)`
`DefaultTreeModel` | `getTreeModel()`
`DefaultMutableTreeNode` | `getTreeNode()`
`protected void` | `insertChild(MutableTreeNode childNode)`
`void` | `received(org.teleal.cling.model.action.ActionInvocation actionInvocation, DIDLContent didl)`
`protected void` | `removeChildren()`
`void` | `updateStatus(Browse.Status status)`
`abstract void` | `updateStatusUI(Browse.Status status, DefaultMutableTreeNode treeNode, DefaultTreeModel treeModel)`
`protected void` | `updateTreeModel(List<DefaultMutableTreeNode> childNodes)`

Methods inherited from class org.teleal.cling.support.contentdirectory.callback.Browse
`getDefaultMaxResults, receivedRaw, run, success`

Methods inherited from class org.teleal.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, failure, getActionInvocation, getControlPoint, setControlPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### treeModel

    protected final DefaultTreeModel treeModel

### treeNode

    protected final DefaultMutableTreeNode treeNode

Constructor Detail

### ContentBrowseActionCallback

    public ContentBrowseActionCallback(org.teleal.cling.model.meta.Service service,
                                       DefaultTreeModel treeModel,
                                       DefaultMutableTreeNode treeNode)

### ContentBrowseActionCallback

    public ContentBrowseActionCallback(org.teleal.cling.model.meta.Service service,
                                       DefaultTreeModel treeModel,
                                       DefaultMutableTreeNode treeNode,
                                       String filter,
                                       long firstResult,
                                       long maxResults,
                                       SortCriterion... orderBy)

Method Detail

### getTreeModel

    public DefaultTreeModel getTreeModel()

### getTreeNode

    public DefaultMutableTreeNode getTreeNode()

### received

    public void received(org.teleal.cling.model.action.ActionInvocation actionInvocation,
                         DIDLContent didl)

  Specified by:
    `received` in class `Browse`

### updateStatus

    public void updateStatus(Browse.Status status)

  Specified by:
    `updateStatus` in class `Browse`

### failure

    public void failure(org.teleal.cling.model.action.ActionInvocation invocation,
                        org.teleal.cling.model.message.UpnpResponse operation,
                        String defaultMsg)

  Specified by:
    `failure` in class `org.teleal.cling.controlpoint.ActionCallback`

### updateTreeModel

    protected void updateTreeModel(List<DefaultMutableTreeNode> childNodes)

### removeChildren

    protected void removeChildren()

### insertChild

    protected void insertChild(MutableTreeNode childNode)

### updateStatusUI

    public abstract void updateStatusUI(Browse.Status status,
                                        DefaultMutableTreeNode treeNode,
                                        DefaultTreeModel treeModel)

### failureUI

    public abstract void failureUI(String failureMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.